<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:cc="http://xmlns.jcp.org/jsf/composite">
	<cc:interface>
		<cc:attribute name="action" required="true" method-signature="java.lang.String action()" />
		<cc:attribute name="value" required="false" default="" />
		<cc:attribute name="title" required="false" default="" />
		<cc:attribute name="iconAwesome" required="false" default="" />
		<cc:attribute name="iconAlign" required="false" default="left" />
		<cc:attribute name="look" required="false" default="default" />
		<cc:attribute name="styleClass" required="false" default="" />
		<cc:attribute name="style" required="false" default="" />
		<cc:attribute name="immediate" required="false" default="false" />
		<cc:attribute name="disabled" required="false" default="false" />
	</cc:interface>
	<cc:implementation>
		<h:commandLink action="#{cc.attrs.action}" value="" title="#{cc.attrs.title}" styleClass="btn btn-#{cc.attrs.look} #{cc.attrs.styleClass}" style="#{cc.attrs.style}" immediate="#{cc.attrs.immediate}" rendered="#{!cc.attrs.disabled}">
			<h:outputText value="#{cc.attrs.value}" rendered="#{cc.attrs.iconAlign == 'right' and cc.attrs.value != ''}" style="#{cc.attrs.iconAwesome != '' ? 'margin-right: 8px' : ''}" />
			<b:iconAwesome name="#{cc.attrs.iconAwesome}" rendered="#{cc.attrs.iconAwesome != ''}" />
			<h:outputText value="#{cc.attrs.value}" rendered="#{cc.attrs.iconAlign == 'left' and cc.attrs.value != ''}" style="#{cc.attrs.iconAwesome != '' ? 'margin-left: 8px' : ''}" />
		</h:commandLink>
		<ui:fragment rendered="#{cc.attrs.disabled}">
			<button class="btn btn-default" onclick="return false;">
				<h:outputText value="#{cc.attrs.value}" rendered="#{cc.attrs.iconAlign == 'right' and cc.attrs.value != ''}" style="#{cc.attrs.iconAwesome != '' ? 'margin-right: 8px' : ''}" />
				<b:iconAwesome name="#{cc.attrs.iconAwesome}" rendered="#{cc.attrs.iconAwesome != ''}" disabled="true" />
				<h:outputText value="#{cc.attrs.value}" rendered="#{cc.attrs.iconAlign == 'left' and cc.attrs.value != ''}" style="#{cc.attrs.iconAwesome != '' ? 'margin-left: 8px' : ''}" />
			</button>
		</ui:fragment>
	</cc:implementation>
</ui:composition>